unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, Buttons, LCLType, uPlutoButton;

type

  { TForm1 }

  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    Button1: TButton;
    SpeedButton1: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
  private
    { private declarations }
  public
    { public declarations }
    plButton:TPlutoButton;
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  plButton:=TPlutoButton.Create(Form1);
  plButton.Brush.Color:=clBlue;
  plButton.Pen.Color:=clRed;
  plButton.Left:=20; plButton.Top:=1;
  plButton.Width:=150; plButton.Height:=25;
  plButton.Name:='plButton1'; plButton.Parent:=Form1;
  plButton.Font.Color:=clYellow;
  plButton.Typ:=pbt_Vertikal;

  plButton.TextLeft:=5;
  plButton.TextTop:=5;
  plButton.TextWidth:=2;
  plButton.TextHeight:=10;

  plButton.Caption:='plButton1';

end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState
  );
begin
  if key = VK_F1 then begin
    plButton.Brush.Color:=clRed;
    plButton.Brush.Style:=bsDiagCross;
  end;

  if key = VK_F2 then begin
    plButton.Pen.Color:=clRed;
    plButton.Pen.Style:=psDot;
  end;

  if key = VK_F3 then begin
    plButton.Font.Color:=clRed;
    plButton.Font.size:=20;
  end;

end;

initialization
  {$I unit1.lrs}

end.

